=== modified file 'shell.py'
--- shell.py	2007-04-04 18:12:00 +0000
+++ shell.py	2008-01-22 05:45:19 +0000
@@ -24,7 +24,9 @@
 import string
 import sys
 
+from bzrlib import osutils
 from bzrlib.branch import Branch
+from bzrlib.config import config_dir, ensure_config_dir_exists
 from bzrlib.commands import get_cmd_object, get_all_cmds, get_alias
 from bzrlib.errors import BzrError
 from bzrlib.workingtree import WorkingTree
@@ -84,6 +86,7 @@
 
 
 class PromptCmd(cmd.Cmd):
+
     def __init__(self):
         cmd.Cmd.__init__(self)
         self.prompt = "bzr> "
@@ -94,7 +97,8 @@
         self.set_title()
         self.set_prompt()
         self.identchars += '-'
-        self.history_file = os.path.expanduser("~/.bazaar/shell-history")
+        ensure_config_dir_exists()
+        self.history_file = osutils.pathjoin(config_dir(), 'shell-history')
         readline.set_completer_delims(string.whitespace)
         if os.access(self.history_file, os.R_OK) and \
             os.path.isfile(self.history_file):

